Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core
Class Cache

    java.lang.Object
      com.dbxml.db.core.Cache

public final class Cache
extends java.lang.Object

Cache implements a basic cache for Collections.

Constructor Summary
`Cache()`

Method Summary
`java.lang.Object` | `get(Collection col, Key key)`
`DocumentTable` | `getDocument(Collection col, Key key)`
`Record` | `getRecord(Collection col, Key key)`
`void` | `put(Collection col, Key key, java.lang.Object obj)`
`void` | `put(Collection col, Record record)`
`void` | `remove(Collection col, Key key)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cache

    public Cache()

Method Detail

### get

    public java.lang.Object get(Collection col,
                                Key key)

### getRecord

    public Record getRecord(Collection col,
                            Key key)

### getDocument

    public DocumentTable getDocument(Collection col,
                                     Key key)

### put

    public void put(Collection col,
                    Key key,
                    java.lang.Object obj)

### put

    public void put(Collection col,
                    Record record)

### remove

    public void remove(Collection col,
                       Key key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group